Bug 1274693 - Auto-attach subscriptions not working for content hosts with custom products only
Summary: Auto-attach subscriptions not working for content hosts with custom products ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-23 11:53 UTC by Bryan Kearney
Modified: 2019-11-14 07:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:20:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description Bryan Kearney 2015-10-23 11:53:09 UTC
If a content host is registered using an activation key that contains subscriptions to custom products only, auto-attach is not performed.

Comment 1 Bryan Kearney 2015-10-23 11:53:11 UTC
Created from redmine issue http://projects.theforeman.org/issues/10208

Comment 2 Bryan Kearney 2015-10-23 11:53:15 UTC
Upstream bug assigned to cfouant@redhat.com

Comment 3 Bryan Kearney 2015-10-23 12:09:18 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/10208 has been closed
-------------
Eric Helms
Applied in changeset commit:katello|1a6cf418e421e3fa8ae3b61af92fbe1721cca923.
-------------
Viktor Varga
Viktor Varga wrote:
> I think I have the same problem with version 2.3.0
> rpm -qi katello
> Name        : katello
> Version     : 2.3.0
> Release     : 5.el7
> Architecture: noarch
> 
> Does anybody reported the same for 2.3.0?

So I applied the #5386 pull request on candlepin.rb and that fixed the problem.
(https://github.com/Katello/katello/commit/6c81a24e6658e79b54f3a7e012f176956b8434a8)

Thanks,

Comment 5 jcallaha 2015-11-24 21:37:50 UTC
Verified in upstream. Activation key behavior is as expected irregardless of whether the activation key has only custom products or not.

       OS: redhat
  RELEASE: Red Hat Enterprise Linux Server release 7.2 (Maipo)
  FOREMAN: 1.11.0-develop
     RUBY: ruby 2.0.0p598 (2014-11-13) [x86_64-linux]
   PUPPET: 3.8.4

Comment 8 errata-xmlrpc 2016-07-27 09:20:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.